# XSL files for converting md:xml to common exchange formats

## Formats covered thus far

- `LIDO 1.0`
  (Primary exchange export format). See <https://lido-schema.org>
- LIDO 1.1
  Updated version of the LIDO standard, as of 2022. See <https://lido-schema.org>
- EODEM
  A LIDO profile (based on LIDO 1.1) specifically designed for the automation of the exchange of loan object information. Contrary to LIDO, it thus also covers some internal fields. See: <https://cidoc.mini.icom.museum/working-groups/documentation-standards/eodem-home/>

## Repository structure

### [/src](./src)

Contains the relevant .xsl files used for converting md:xml to other formats.

#### [/src/schemas](./src/schemas)

This directory contains schemas for validating the different formats.

#### [/src/selections](./src/selections)

This directory contains JSON files listing which bits and pieces should be made available during an export from musdb when exporting to a given format. E.g., LIDO cannot represent internal information like insurance values. It thus does not make sense to export such information during the export to md:xml pre-transformation in the first place.

### [/sample](./sample)

Here you can find sample mx:xml files.

## License

This project is licensed under the MIT License. See the [LICENSE](./LICENSE) file for the full license text.
